# Function createLoopObservable

- createLoopObservable(intervalMs, isInitialized$, actionObservable$, beforeCallback?): Observable<any>

- #### Parameters

  - intervalMs: number
  - isInitialized$: Observable<boolean>
  - actionObservable$: Observable<any>
  - `Optional` beforeCallback: (() => void)
    - - (): void

      - #### Returns void

  #### Returns Observable<any>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/utils/rxjs.ts:16